#include <SPI.h>
#include <Wire.h>
//#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

#define SCREEN_WIDTH 128 // OLED display width, in pixels
#define SCREEN_HEIGHT 64 // OLED display height, in pixels

// Declaration for an SSD1306 display connected to I2C (SDA, SCL pins)
#define OLED_RESET     4 // Reset pin # (or -1 if sharing Arduino reset pin)
Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, OLED_RESET);

int thickline(int x_coord,int y_coord,int width,int height,int thickness){
  int i;
  for(i=0;i<thickness;i++){
    display.drawLine(x_coord+i,y_coord,x_coord+width+i,y_coord+height,SSD1306_WHITE);
  }
}

void setup() {
  display.begin(SSD1306_SWITCHCAPVCC, 0x3D);
  display.clearDisplay();

  
  display.setTextColor(SSD1306_WHITE);
  display.fillCircle(42, 20, 6, SSD1306_WHITE);
  display.fillCircle(84, 20, 6, SSD1306_WHITE);
  
  int i,x,y,h;
  for(i=0,x=50,y=36,h=10;i<4;i++,x+=6,y+=h,h*=-1){
    thickline(x,y,6,h,4);
  }

  display.display();

}

void loop() {
}
